fi;
+if test "x$program_transform_name" = "xs,x,x,"
+then
+ program_transform_name="s,\$\$,_$enable_paramsrc,"
+fi
+
PAS=""
LIBCAPARAM=""
LIBFILEPARAM=""
fi
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <aitTypes.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- echo "checking for aitTypes.h... yes"
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for aitTypes.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
-fi
-rm -f conftest.err conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <aitHelpers.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- echo "checking for aitHelpers.h... yes"
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for aitHelpers.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
-fi
-rm -f conftest.err conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <casdef.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- echo "checking for casdef.h... yes"
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for casdef.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
-fi
-rm -f conftest.err conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <fdManager.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
+ if test "${ac_cv_header_aitTypes_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for aitTypes.h" >&5
+echo $ECHO_N "checking for aitTypes.h... $ECHO_C" >&6
+if test "${ac_cv_header_aitTypes_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
fi
-if test -z "$ac_cpp_err"; then
- echo "checking for fdManager.h... yes"
+echo "$as_me:$LINENO: result: $ac_cv_header_aitTypes_h" >&5
+echo "${ECHO_T}$ac_cv_header_aitTypes_h" >&6
else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for fdManager.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
-fi
-rm -f conftest.err conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking aitTypes.h usability" >&5
+echo $ECHO_N "checking aitTypes.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-#include <gdd.h>
+$ac_includes_default
+#include <aitTypes.h>
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- echo "checking for gdd.h... yes"
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for gdd.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
-fi
-rm -f conftest.err conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <gddApps.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- echo "checking for gddApps.h... yes"
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for gddApps.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
fi
-rm -f conftest.err conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking aitTypes.h presence" >&5
+echo $ECHO_N "checking aitTypes.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-#include <gddAppFuncTable.h>
+#include <aitTypes.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
- echo "checking for gddAppFuncTable.h... yes"
+ ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
- echo "checking for gddAppFuncTable.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
+ ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
- if test "x$with_epics" = "x3_13"
- then
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <osiTimer.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: aitTypes.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&2;};;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: aitTypes.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: aitTypes.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: aitTypes.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for aitTypes.h" >&5
+echo $ECHO_N "checking for aitTypes.h... $ECHO_C" >&6
+if test "${ac_cv_header_aitTypes_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- ac_cpp_err=yes
+ ac_cv_header_aitTypes_h=$ac_header_preproc
fi
-if test -z "$ac_cpp_err"; then
- echo "checking for osiTimer.h... yes"
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for osiTimer.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
-echo "$as_me: error: Missing header file" >&2;}
- { (exit 1); exit 1; }; }
-fi
-rm -f conftest.err conftest.$ac_ext
- elif test "x$with_epics" = "x3_14"
- then
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <epicsTimer.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
+echo "$as_me:$LINENO: result: $ac_cv_header_aitTypes_h" >&5
+echo "${ECHO_T}$ac_cv_header_aitTypes_h" >&6
+
fi
-if test -z "$ac_cpp_err"; then
- echo "checking for epicsTimer.h... yes"
+if test $ac_cv_header_aitTypes_h = yes; then
+ :
else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- echo "checking for epicsTimer.h... no"; { { echo "$as_me:$LINENO: error: Missing header file" >&5
+ { { echo "$as_me:$LINENO: error: Missing header file" >&5
echo "$as_me: error: Missing header file" >&2;}
{ (exit 1); exit 1; }; }
fi
-rm -f conftest.err conftest.$ac_ext
- fi
+
+
fi
dnl Make primary definitions.
+if test "x$program_transform_name" = "xs,x,x,"
+then
+ program_transform_name="s,\$\$,_$enable_paramsrc,"
+fi
+
PAS=""
LIBCAPARAM=""
LIBFILEPARAM=""
if test "x$enable_server" = "xyes"
then
AC_CHECK_HEADER(allParam.h,,AC_ERROR([Missing header file]))
- AC_TRY_CPP([#include <aitTypes.h>],
- [echo "checking for aitTypes.h... yes"],
- [echo "checking for aitTypes.h... no"; AC_ERROR([Missing header file])])
- AC_TRY_CPP([#include <aitHelpers.h>],
- [echo "checking for aitHelpers.h... yes"],
- [echo "checking for aitHelpers.h... no"; AC_ERROR([Missing header file])])
- AC_TRY_CPP([#include <casdef.h>],
- [echo "checking for casdef.h... yes"],
- [echo "checking for casdef.h... no"; AC_ERROR([Missing header file])])
- AC_TRY_CPP([#include <fdManager.h>],
- [echo "checking for fdManager.h... yes"],
- [echo "checking for fdManager.h... no"; AC_ERROR([Missing header file])])
- AC_TRY_CPP([#include <gdd.h>],
- [echo "checking for gdd.h... yes"],
- [echo "checking for gdd.h... no"; AC_ERROR([Missing header file])])
- AC_TRY_CPP([#include <gddApps.h>],
- [echo "checking for gddApps.h... yes"],
- [echo "checking for gddApps.h... no"; AC_ERROR([Missing header file])])
- AC_TRY_CPP([#include <gddAppFuncTable.h>],
- [echo "checking for gddAppFuncTable.h... yes"],
- [echo "checking for gddAppFuncTable.h... no"; AC_ERROR([Missing header file])])
- if test "x$with_epics" = "x3_13"
- then
- AC_TRY_CPP([#include <osiTimer.h>],
- [echo "checking for osiTimer.h... yes"],
- [echo "checking for osiTimer.h... no"; AC_ERROR([Missing header file])])
- elif test "x$with_epics" = "x3_14"
- then
- AC_TRY_CPP([#include <epicsTimer.h>],
- [echo "checking for epicsTimer.h... yes"],
- [echo "checking for epicsTimer.h... no"; AC_ERROR([Missing header file])])
- fi
+ AC_CHECK_HEADER(aitTypes.h,,AC_ERROR([Missing header file]))
fi